Loading...
Searching...
No Matches
RDKit::MolStandardize::MetalDisconnectorOptions Struct Reference

`#include <Metal.h>`

## Public Attributes

bool | splitGrignards = false
bool | splitAromaticC = false
bool | adjustCharges = true
bool | removeHapticDummies

## Detailed Description

The MetalDisconnector class contains tools for disconnecting metal atoms that are defined as covalently bonded to non-metals.

Notes:

Definition at line 34 of file Metal.h.

## Member Data Documentation

## adjustCharges

bool RDKit::MolStandardize::MetalDisconnectorOptions::adjustCharges = true

Definition at line 37 of file Metal.h.

## removeHapticDummies

bool RDKit::MolStandardize::MetalDisconnectorOptions::removeHapticDummies

Initial value:
=
false

Definition at line 38 of file Metal.h.

## splitAromaticC

bool RDKit::MolStandardize::MetalDisconnectorOptions::splitAromaticC = false

Definition at line 36 of file Metal.h.

## splitGrignards

bool RDKit::MolStandardize::MetalDisconnectorOptions::splitGrignards = false

Definition at line 35 of file Metal.h.

The documentation for this struct was generated from the following file:

- Metal.h